'use strict';

var react = require('@linaria/react');

const CommonContent = /*#__PURE__*/react.styled('div')({
  name: "CommonContent",
  class: "E_4100_0_7_cnujxq2",
  propsAsIs: false
});
const ModalBody = /*#__PURE__*/react.styled('div')({
  name: "ModalBody",
  class: "E_4100_0_7_m7s48ia",
  propsAsIs: false
});
const WizardBody = /*#__PURE__*/react.styled('div')({
  name: "WizardBody",
  class: "E_4100_0_7_wt5zbg6",
  propsAsIs: false
});
const HorizontalWizardModalCompactStyle = "E_4100_0_7_h18jprzg";
const HorizontalWizardModalLooseStyle = "E_4100_0_7_h16z9xgz";
const FormWrapper = /*#__PURE__*/react.styled('div')({
  name: "FormWrapper",
  class: "E_4100_0_7_f1lrhghm",
  propsAsIs: false
});
const FormSectionTitle = /*#__PURE__*/react.styled('h4')({
  name: "FormSectionTitle",
  class: "E_4100_0_7_f18ot8em",
  propsAsIs: false
});
const FormField = /*#__PURE__*/react.styled('div')({
  name: "FormField",
  class: "E_4100_0_7_f1l1g2k0",
  propsAsIs: false
});
const ErrorSpan = /*#__PURE__*/react.styled('span')({
  name: "ErrorSpan",
  class: "E_4100_0_7_e1k89cwg",
  propsAsIs: false
});
const Divider = /*#__PURE__*/react.styled('div')({
  name: "Divider",
  class: "E_4100_0_7_d1oui1gf",
  propsAsIs: false
});
const LoadingWrapper = /*#__PURE__*/react.styled('div')({
  name: "LoadingWrapper",
  class: "E_4100_0_7_l15itdbb",
  propsAsIs: false
});
const Dot = /*#__PURE__*/react.styled('span')({
  name: "Dot",
  class: "E_4100_0_7_d1y3z4w",
  propsAsIs: false
});
const ModalWrapper = "E_4100_0_7_m177r7a3";
const _exp = /*#__PURE__*/() => ({
  color
}) => {
  switch (color) {
    case "red":
      return "linear-gradient(262.79deg, #FA5F3C 0%, #FF9412 100%)";
    case "yellow":
      return "linear-gradient(260.13deg, #FFA600 0%, #FFD900 100%)";
    case "blue":
      return "linear-gradient(276.05deg, #0066FF 10.65%, #5CA8FF 89.35%)";
  }
};
const TagSpan = /*#__PURE__*/react.styled('span')({
  name: "TagSpan",
  class: "E_4100_0_7_t1wwio3v",
  propsAsIs: false,
  vars: {
    "t1wwio3v-0": [_exp()]
  }
});
const FullView = /*#__PURE__*/react.styled('div')({
  name: "FullView",
  class: "E_4100_0_7_f17jvtfk",
  propsAsIs: false
});
const NameTag = /*#__PURE__*/react.styled('span')({
  name: "NameTag",
  class: "E_4100_0_7_nzppkea",
  propsAsIs: false
});
const FormItemDiv = /*#__PURE__*/react.styled('div')({
  name: "FormItemDiv",
  class: "E_4100_0_7_f4mi9eq",
  propsAsIs: false
});
const FieldTitle = /*#__PURE__*/react.styled('div')({
  name: "FieldTitle",
  class: "E_4100_0_7_fh0ewl8",
  propsAsIs: false
});
const ExpandArrow = /*#__PURE__*/react.styled('i')({
  name: "ExpandArrow",
  class: "E_4100_0_7_e1qrlvot",
  propsAsIs: false
});
const WarningAlert = "E_4100_0_7_w9ic984";
const NoticeAlert = "E_4100_0_7_n1k9qi4r";
const NormalAlert = "E_4100_0_7_n16fsg9x";
const InfoAlert = "E_4100_0_7_i173wxzw";
const Description = /*#__PURE__*/react.styled('div')({
  name: "Description",
  class: "E_4100_0_7_dld369h",
  propsAsIs: false
});
const SelectOptionDisabledText = /*#__PURE__*/react.styled('div')({
  name: "SelectOptionDisabledText",
  class: "E_4100_0_7_s1epv22q",
  propsAsIs: false
});
const OperationWraper = /*#__PURE__*/react.styled('div')({
  name: "OperationWraper",
  class: "E_4100_0_7_okus5hk",
  propsAsIs: false
});
const TertiaryText = /*#__PURE__*/react.styled('div')({
  name: "TertiaryText",
  class: "E_4100_0_7_t1auuzri",
  propsAsIs: false
});
const InputStyle = "E_4100_0_7_i74cfyt";
const KitInputStyle = "E_4100_0_7_k1ci6977";
const LeftEndInputStyle = "E_4100_0_7_l1f7td1d";
const RightEndInputStyle = "E_4100_0_7_rf8rlle";
const LeftEndSelectStyle = "E_4100_0_7_llt2k48";
const RightEndSelectStyle = "E_4100_0_7_rdwz7eh";
const ContentWrapper = /*#__PURE__*/react.styled('div')({
  name: "ContentWrapper",
  class: "E_4100_0_7_c3ni091",
  propsAsIs: false
});
const Desc = /*#__PURE__*/react.styled('div')({
  name: "Desc",
  class: "E_4100_0_7_d105ju2d",
  propsAsIs: false
});
const _exp2 = /*#__PURE__*/() => Desc;
const LightDesc = /*#__PURE__*/react.styled(_exp2())({
  name: "LightDesc",
  class: "E_4100_0_7_lh0l62z",
  propsAsIs: true
});
const _exp3 = /*#__PURE__*/() => LightDesc;
const RadioDesc = /*#__PURE__*/react.styled(_exp3())({
  name: "RadioDesc",
  class: "E_4100_0_7_r1o4v2oc",
  propsAsIs: true
});
const radioStyle = "E_4100_0_7_r1skkc3l";
const CannotOperationInfo = "E_4100_0_7_c3cobmo";
const UnitStyle = "E_4100_0_7_uqv57uv";

exports.CannotOperationInfo = CannotOperationInfo;
exports.CommonContent = CommonContent;
exports.ContentWrapper = ContentWrapper;
exports.Desc = Desc;
exports.Description = Description;
exports.Divider = Divider;
exports.Dot = Dot;
exports.ErrorSpan = ErrorSpan;
exports.ExpandArrow = ExpandArrow;
exports.FieldTitle = FieldTitle;
exports.FormField = FormField;
exports.FormItemDiv = FormItemDiv;
exports.FormSectionTitle = FormSectionTitle;
exports.FormWrapper = FormWrapper;
exports.FullView = FullView;
exports.HorizontalWizardModalCompactStyle = HorizontalWizardModalCompactStyle;
exports.HorizontalWizardModalLooseStyle = HorizontalWizardModalLooseStyle;
exports.InfoAlert = InfoAlert;
exports.InputStyle = InputStyle;
exports.KitInputStyle = KitInputStyle;
exports.LeftEndInputStyle = LeftEndInputStyle;
exports.LeftEndSelectStyle = LeftEndSelectStyle;
exports.LightDesc = LightDesc;
exports.LoadingWrapper = LoadingWrapper;
exports.ModalBody = ModalBody;
exports.ModalWrapper = ModalWrapper;
exports.NameTag = NameTag;
exports.NormalAlert = NormalAlert;
exports.NoticeAlert = NoticeAlert;
exports.OperationWraper = OperationWraper;
exports.RadioDesc = RadioDesc;
exports.RightEndInputStyle = RightEndInputStyle;
exports.RightEndSelectStyle = RightEndSelectStyle;
exports.SelectOptionDisabledText = SelectOptionDisabledText;
exports.TagSpan = TagSpan;
exports.TertiaryText = TertiaryText;
exports.UnitStyle = UnitStyle;
exports.WarningAlert = WarningAlert;
exports.WizardBody = WizardBody;
exports.radioStyle = radioStyle;
